namespace FnacDirect.OrderPipe.Base.Model
{
    public enum CreditCardTypeEnum
    {
        CarteVisa = 1,
        Mastercard = 2,
        CarteBleue = 3,
        CarteFnac = 4,
        Cyrillus = 5,
        Kangourou = 6,
        Printemps = 7,
        AmericanExpress = 8,
        Conforama = 9,
        PaiementTelephone = 10,
        ECarteBleue = 11,
        EActivation = 12,
        Jcb = 18,
        Bcmc = 19,
        CbcOnline = 20,
        KbcOnline = 21,
        FortisPayButton = 22,
        IDeal = 23,
        IngHomePay = 24,
        DexiaDirectNet = 25,
        Electron = 26,
        Maestro = 27,
        SpiritOfCadeau = 28,
        PayPal = 30,
        CadoCarte = 31,
        PostCard = 32,
        FacilyPay3x = 33,
        FacilyPay3xSansFrais = 34,
        FacilyPay4x = 35,
        FacilyPay4xSansFrais = 36,
        LePotCommun = 37,
        Sodexo = 38,
        Cadhoc = 39,
        SansContactNfc = 40,
        SansContactEmvDcc = 41,
        FacilyPayXx = 42,
        FacilyPay3xSansFraisCacf = 43,
        FacilyPay4xSansFraisCacf = 44,
        FacilyPay3xCacf = 45,
        FacilyPay4xCacf = 46,
        PostFinance = 47,
        VisaFnac = 48,
        CacfCreditAvecReprise = 50,
        CacfCreditSansReprise = 51
    }
}
